<!DOCTYPE html>
<html lang="hu">
    <head>
        <meta charset="utf-8"/>
        <link rel="stylesheet" type="text/css" href="design.css">
        <title>Sportpálya foglalása</title>
    </head>
    <body>
        <div class="magaskep">
            <img src="http://localhost:8080/kepek/sports6.png" class="szeleskep" alt="alapkep">
        </div>
        <%- include('partials/navbar.ejs') %>
        <div class="egyseg">
            <header><h1>Sportpálya foglalása</h1></header><br>
            <div class="egyseg">
                <form method="POST" action="/sportpalya_foglalasa">
                    <table>
                        <tr>
                            <td class="oszlop1">Foglaló neve:</td>
                            <td class="oszlop2"><label name="felhasznalonev"><%= tokenObj.felhasznaloNev %></td>
                        </tr>
                        <tr>
                            <td class="oszlop1">Sportpálya egyedi azonosítója (ID-ja):</td>
                            <td class="oszlop2">
                                <select name="palya" id="palya">
                                    <% sportpalya.forEach((palya) => { %>
                                    <option value="<%= palya.ID %>">
                                        <%= palya.ID %>
                                    </option>
                                    <% }) %>
                                </select>
                        </td>
                        </tr>
                        <tr>
                            <td class="oszlop1">Foglalás kezdete:</td>
                            <td class="oszlop2"><input type="datetime-local" name="kezdDatum"></td>
                        </tr>
                        <tr>
                            <td class="oszlop1">Foglalás vége:</td>
                            <td class="oszlop2"><input type="datetime-local" name="vegDatum"></td>
                        </tr>
                    </table>
                    <span class="kozep"><input type="submit" class="button" value="Foglalás"></span><br><br>
                </form>
        
                <div id="uzenet">
                    <% if (uzenet == 0) { %>
                        <label>Sikeres foglalás!<label>
                    <% } else if (uzenet == 1) { %>
                        <label>Sikertelen foglalás! Az adott időpontban foglalt a pálya!</label>
                    <% } else if (uzenet == 2) { %>
                        <label>Sikertelen foglalás! Helytelen dátumformátum!</label>
                    <% } else if (uzenet == 3) { %>
                        <label>Sikertelen foglalás! A kezdeti időpont hamarabb van mint a végső!</label>
                    <% } else { %>
                        <label></label>
                    <% } %>
                </div>
            </div>
        </div>
    </body>
</html>
